# __gnu_cxx::throw_allocator_base Class Reference

Inheritance diagram for __gnu_cxx::throw_allocator_base:

List of all members.

## Detailed Description

Base class.

Definition at line 99 of file throw_allocator.h.

## Public Member Functions

- void init (unsigned long seed)

## Static Public Member Functions

- static bool empty ()
- static double get_throw_prob ()
- static void set_label (size_t l)
- static void set_throw_prob (double throw_prob)

## Static Protected Member Functions

- static void check_allocated (size_t)
- static void check_allocated (void *, size_t)
- static void erase (void *, size_t)
- static void insert (void *, size_t)
- static void throw_conditionally ()

## Friends

- std::ostream & operator<< (std::ostream &, const throw_allocator_base &)

## Classes

- struct group_throw_prob_adjustor
- struct zero_throw_prob_adjustor

The documentation for this class was generated from the following file:

- throw_allocator.h